// Project Sword & Gun Copyright © 2021 Kevin Poretti

#include "States/SNGStateMachineFactory.h"
#include "States/SNGStateMachine.h"

USNGStateMachineFactory::USNGStateMachineFactory(const FObjectInitializer& ObjectInitializer)
	: Super(ObjectInitializer)
{
	bCreateNew = true;
	bEditAfterNew = true;
	SupportedClass = USNGStateMachine::StaticClass();
}

UObject* USNGStateMachineFactory::FactoryCreateNew(UClass* InClass, UObject* InParent, FName InName, EObjectFlags Flags,
                                                   UObject* Context, FFeedbackContext* Warn)
{
	return NewObject<USNGStateMachine>(InParent, InClass, InName, Flags | RF_Transactional);
}
