// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "UnrealEd.h"
#include "CoreMinimal.h"
#include "Factories/Factory.h"
#include "SNGStateMachineFactory.generated.h"

/**
 * 
 */
UCLASS(HideCategories=(Object))
class USNGStateMachineFactory : public UFactory
{
	GENERATED_BODY()

public:
	
	USNGStateMachineFactory(const FObjectInitializer& ObjectInitializer);
	
	virtual UObject* FactoryCreateNew(UClass* InClass, UObject* InParent, FName InName,
		EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn) override;
};
